Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1052964 - [abrt] gnome-shell: js_free(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: js_free(): gnome-shell killed by SIGSEGV
Keywords:
Status: CLOSED DUPLICATE of bug 1034467
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: rawhide
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1fc3ed9a764cf8c580b8404e090...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-14 14:06 UTC by Kamil Páral
Modified: 2015-06-05 13:11 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-17 19:08:47 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (57.12 KB, text/plain)
2014-01-14 14:06 UTC, Kamil Páral
no flags Details
File: cgroup (172 bytes, text/plain)
2014-01-14 14:06 UTC, Kamil Páral
no flags Details
File: core_backtrace (19.05 KB, text/plain)
2014-01-14 14:06 UTC, Kamil Páral
no flags Details
File: dso_list (24.93 KB, text/plain)
2014-01-14 14:06 UTC, Kamil Páral
no flags Details
File: environ (1.24 KB, text/plain)
2014-01-14 14:06 UTC, Kamil Páral
no flags Details
File: exploitable (82 bytes, text/plain)
2014-01-14 14:06 UTC, Kamil Páral
no flags Details
File: limits (1.29 KB, text/plain)
2014-01-14 14:06 UTC, Kamil Páral
no flags Details
File: maps (167.77 KB, text/plain)
2014-01-14 14:06 UTC, Kamil Páral
no flags Details
File: open_fds (1.08 KB, text/plain)
2014-01-14 14:06 UTC, Kamil Páral
no flags Details
File: proc_pid_status (947 bytes, text/plain)
2014-01-14 14:07 UTC, Kamil Páral
no flags Details
File: var_log_messages (3.01 KB, text/plain)
2014-01-14 14:07 UTC, Kamil Páral
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1034467 0 unspecified CLOSED [abrt] gnome-shell-3.11.2-3.fc21: js::Shape::finalize: Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV) 2021-02-22 00:41:40 UTC

Internal Links: 1034467

Description Kamil Páral 2014-01-14 14:06:25 UTC
Version-Release number of selected component:
gnome-shell-3.11.3-1.fc21

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js_free
executable:     /usr/bin/gnome-shell
kernel:         3.13.0-0.rc8.git0.1.fc21.x86_64+debug
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #1 js_free at dist/include/js/Utility.h:174
 #2 free_ at dist/include/js/Utility.h:613
 #5 finish at /usr/src/debug/mozjs17.0.0/js/src/jsobjinlines.h:881
 #6 finalize at /usr/src/debug/mozjs17.0.0/js/src/jsobjinlines.h:238
 #7 finalize<JSObject> at /usr/src/debug/mozjs17.0.0/js/src/jsgc.cpp:355
 #8 FinalizeTypedArenas<JSObject> at /usr/src/debug/mozjs17.0.0/js/src/jsgc.cpp:419
 #9 js::gc::FinalizeArenas(js::FreeOp *, js::gc::ArenaHeader **, js::gc::ArenaList &, enum js::gc::AllocKind, js::SliceBudget &) at /usr/src/debug/mozjs17.0.0/js/src/jsgc.cpp:456
 #10 backgroundFinalize at /usr/src/debug/mozjs17.0.0/js/src/jsgc.cpp:1686
 #11 js::SweepBackgroundThings at /usr/src/debug/mozjs17.0.0/js/src/jsgc.cpp:2842
 #12 js::GCHelperThread::doSweep at /usr/src/debug/mozjs17.0.0/js/src/jsgc.cpp:3116

Potential duplicate: bug 1040951

Comment 1 Kamil Páral 2014-01-14 14:06:32 UTC
Created attachment 849947 [details]
File: backtrace

Comment 2 Kamil Páral 2014-01-14 14:06:37 UTC
Created attachment 849948 [details]
File: cgroup

Comment 3 Kamil Páral 2014-01-14 14:06:40 UTC
Created attachment 849949 [details]
File: core_backtrace

Comment 4 Kamil Páral 2014-01-14 14:06:42 UTC
Created attachment 849950 [details]
File: dso_list

Comment 5 Kamil Páral 2014-01-14 14:06:47 UTC
Created attachment 849951 [details]
File: environ

Comment 6 Kamil Páral 2014-01-14 14:06:50 UTC
Created attachment 849952 [details]
File: exploitable

Comment 7 Kamil Páral 2014-01-14 14:06:53 UTC
Created attachment 849953 [details]
File: limits

Comment 8 Kamil Páral 2014-01-14 14:06:55 UTC
Created attachment 849954 [details]
File: maps

Comment 9 Kamil Páral 2014-01-14 14:06:58 UTC
Created attachment 849955 [details]
File: open_fds

Comment 10 Kamil Páral 2014-01-14 14:07:00 UTC
Created attachment 849956 [details]
File: proc_pid_status

Comment 11 Kamil Páral 2014-01-14 14:07:03 UTC
Created attachment 849957 [details]
File: var_log_messages

Comment 12 Adam Williamson 2014-01-16 19:18:31 UTC
More js:: stuff...

desktop team, hello? we have GNOME crashing left right and centre in f20 and rawhide and it doesn't seem like there's much movement on any of the bugs?

Comment 13 Adam Williamson 2014-01-16 19:40:26 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=js-shape-finalize is the bug I've been duping all the js:: crashes off against. owen says:

<owen> adamw: the js crashes are some sort of memory corruption issue, and aren't going to be debuggable without a high quality valgrind log or a triggerable-at-will reproducer in the hands of a developer
<owen> adamw: That is, the backtrace at time of crash is unlikely to provide a useful clue

Comment 14 Adam Williamson 2014-02-17 19:08:47 UTC

*** This bug has been marked as a duplicate of bug 1034467 ***


Note You need to log in before you can comment on or make changes to this bug.